SystemOrganization addCategory: #ConfigurationOfLizVizTraits!

Object subclass: #ConfigurationOfLizVizTraits
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfLizVizTraits'!

!ConfigurationOfLizVizTraits class methodsFor: 'as yet unclassified' stamp: 'ls 5/7/2013 11:06:55.098'!
baseConfigurationClassIfAbsent: aBlock

	^ Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: 
			[self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock].! !

!ConfigurationOfLizVizTraits class methodsFor: 'as yet unclassified' stamp: 'ls 5/7/2013 11:07:06.876'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello.! !

!ConfigurationOfLizVizTraits class methodsFor: 'as yet unclassified' stamp: 'ls 5/7/2013 11:07:32.072'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ | repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [:reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository]]! !

!ConfigurationOfLizVizTraits class methodsFor: 'as yet unclassified' stamp: 'ls 5/7/2013 11:07:47.204'!
isMetacelloConfig
	
	^ true! !

!ConfigurationOfLizVizTraits class methodsFor: 'as yet unclassified' stamp: 'ls 5/7/2013 11:08:19.09'!
load
	<apiDocumentation>
	
	^ (self project version: #stable) load! !

!ConfigurationOfLizVizTraits class methodsFor: 'as yet unclassified' stamp: 'ls 5/7/2013 11:08:32.491'!
loadDevelopment
	<apiDocumentation>
	
	^ (self project version: #development) load! !

!ConfigurationOfLizVizTraits class methodsFor: 'as yet unclassified' stamp: 'ls 5/7/2013 11:08:45.521'!
project
	
	^ self new project! !

!ConfigurationOfLizVizTraits class methodsFor: 'as yet unclassified' stamp: 'ls 5/7/2013 11:09:07.413'!
validate
	"self validate"
	<apiDocumentation>
	
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfLizVizTraits methodsFor: 'baselines' stamp: 'ls 5/7/2013 11:37:29.227'!
baseline100: spec
	<version: '1.0.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://ss3.gemstone.com/ss/LizViz-Traits'.
		spec package: 'LizViz-Traits' with: 'LizViz-Traits-ls.1'.
		spec group: 'default' with: #('LizViz-Traits')].! !

!ConfigurationOfLizVizTraits methodsFor: 'symbolic versions' stamp: 'ls 5/7/2013 11:03:14.229'!
development: spec 
	<symbolicVersion: #development>
	
	spec for: #common version: '1.0.0'.! !

!ConfigurationOfLizVizTraits methodsFor: 'accessing' stamp: 'ls 5/7/2013 11:04:52.386'!
project
	
	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project]! !

!ConfigurationOfLizVizTraits methodsFor: 'symbolic versions' stamp: 'ls 5/7/2013 11:33:21.692'!
stable: spec 
	<symbolicVersion: #stable>
	
	spec for: #'squeak4.x' version: '1.0.0'.! !

!ConfigurationOfLizVizTraits methodsFor: 'versions' stamp: 'ls 5/7/2013 11:06:08.044'!
version100: spec 
	<version: '1.0.0' imports: #('1.0.0-baseline') >

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'leonhard.schweizer'.
		spec timestamp: '05/07/2013 12:00'].! !
